/* Report Backgrounds */

#app .modal-mask {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, .5);
  display: table;
  transition: opacity .3s ease;
}

#app .modal-wrapper {
  display: table-cell;
  vertical-align: middle;
}

#app .modal-dialog {
  max-width: 600px;
  margin: 1.75rem auto;
  position: relative;
  width: auto;
  pointer-events: none;
}

#app .modal-dialog p {
  margin-bottom: 4px;
}

#app .modal-content {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  width: 100%;
  pointer-events: auto;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, .2);
  outline: 0;
}

#app .modal-content .row {
  background-color: transparent;
  margin-bottom: 10px;
}

#app .modal-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 1rem;
  background-color: #084C58;
  margin: 1rem 1rem 0;
}

#app .modal-body {
  position: relative;
  -webkit-box-flex: 1;
  -ms-flex: 1 1 auto;
  flex: 1 1 auto;
  padding: 1rem;
}

#app .modal-footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
  padding: 0 1rem 1rem;
}

#app .modal-header .close {
  padding: 1rem;
  margin: -1rem -1rem -1rem auto;
  font-size: 26px;
  line-height: 24px;
}


#app button.close {
  padding: 0;
  background-color: transparent;
  border: 0;
  -webkit-appearance: none;
  cursor: pointer;
}

#app .modal-title {
  margin-bottom: 0;
  text-transform: uppercase;
  line-height: 26px;
  font-size: 14px;
}


#app .modal-dialog .btn {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  padding: .375rem .75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: .25rem;
  transition: color .15s ease-in-out,
    background-color .15s ease-in-out,
    border-color .15s ease-in-out,
    box-shadow .15s ease-in-out;
}


#app .btn {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  border: 1px solid transparent;
  padding: .375rem .75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: .25rem;
  transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

#app .btn:not(:disabled):not(.disabled) {
  cursor: pointer;
}

#app .modal-footer>:not(:last-child) {
  margin-right: .25rem;
}

#app .modal-footer>:not(:first-child) {
  margin-left: .25rem;
}

#app .btn {
  text-transform: uppercase;
  cursor: pointer;
  font-size: 14px;
  font-weight: 600;
}

#app .btn.btn-sm {
  font-size: 11px;
  padding: 2px 4px;
}

#app .btn-primary {
  color: #fff;
  background-color: #34B5E3;
  border-color: #34B5E3;
}

#app .btn-opacity {
  opacity: 0.7;
}

#app .btn-primary-outline {
  color: #34B5E3;
  background-color: transparent;
  border-color: #34B5E3 !important;
}

#app .btn-secondary {
  color: #084c58;
  background-color: rgba(8, 76, 88, 0.3);
  border-color: rgba(8, 76, 88, 0.3);
}

#app .btn-danger {
  color: #fff;
  background-color: #ff0000;
  border-color: #ff0000;
}

#app .btn-danger-outline {
  color: #ff0000;
  background-color: transparent;
  border-color: #ff0000 !important;
}

#app .modal-default-button {
  float: right;
}

#app .modal-enter {
  opacity: 0;
}

#app .modal-leave-active {
  opacity: 0;
}

#app .modal-enter .modal-container,
#app .modal-leave-active .modal-container {
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
}

#app .modal-title,
#app .modal-header .close {
  color: #fff;
}

#app .modal-body {
  max-height: 600px;
  overflow-x: auto;
  overflow-y: auto;
  font-size: 12px;
}

#app .modal-body * {
  box-sizing: border-box;
}

#app .modal-body .row {
  display: block;
}

#app .modal-body .col-6 {
  width: 49%;
  float: left;
}

#app .modal-help-container {
  padding: 10px;
  border: 1px solid #ccc;
  margin-bottom: 8px;
  font-size: 11px;
}

#app .modal-form-container {
  background-color: #efefef;
  padding: 10px 0;
}

#app .modal-form-container .row {
  margin: 0 10px 10px;

}

#app .modal-form-container textarea {
  width: 100%;
  box-sizing: border-box;
}


#app .form-control {
  box-sizing: border-box;
  display: block;
  width: 100%;
  padding: .375rem .75rem;
  font-size: 13px;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

#app textarea {
  overflow: auto;
  resize: vertical;
  box-sizing: border-box;
}

.select-control {
  font-size: 13px;
  font-family: sans-serif;
  font-weight: 700;
  color: #444;
  line-height: 1.3;
  padding: .6em 1.4em .5em .8em;
  width: 100%;
  max-width: 100%;
  box-sizing: border-box;
  margin: 0;
  border: 1px solid #aaa;
  box-shadow: 0 1px 0 1px rgba(0, 0, 0, .04);
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23007CB2%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E'),
    linear-gradient(to bottom, #ffffff 0%, #e5e5e5 100%);
  background-repeat: no-repeat, repeat;
  background-position: right .7em top 50%, 0 0;
  background-size: .65em auto, 100%;
}

.select-control::-ms-expand {
  display: none;
}

.select-control:hover {
  border-color: #888;
}

.select-control:focus {
  border-color: #aaa;
  box-shadow: 0 0 1px 1px rgba(59, 153, 252, .7);
  box-shadow: 0 0 0 1px -moz-mac-focusring;
  color: #222;
  outline: none;
}

.select-control option {
  font-weight: normal;
}

#app .table td {
  word-wrap: break-word;
}

#app #content {
  overflow: hidden;
}

#app .table-summary th {
  color: #fff;
  font-weight: bold;
  background-color: #084C58;
}

#app .table-summary td {
  color: #333;
  background-color: #fff;
}